*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  -webkit-font-smoothing: antialiased;
}

svg,
canvas {
  display: block;
  max-width: 100%;
  height: auto;
}

input,
button,
textarea,
select {
  font: inherit;
}

ul,
ol {
  list-style: none;
}

a {
  color: currentColor;
}

:root {
  --font-size-7xl: 5.96rem;
  --font-size-6xl: 4.768rem;
  --font-size-5xl: 3.815rem;
  --font-size-4xl: 3.052rem;
  --font-size-3xl: 2.441rem;
  --font-size-2xl: 1.953rem;
  --font-size-xl: 1.563rem;
  --font-size-lg: 1.25rem;
  --font-size-md: 1rem;
  --font-size-sm: 0.8rem;

  --font-family: "Space Grotesk", sans-serif;

  --font-weight-body: 400;
  --font-weight-title: 700;

  --line-height-title: 0.8;
  --line-height-body: 1.4;

  --color-neutral-50: #f3f3f5;
  --color-neutral-100: #e4e5e8;
  --color-neutral-200: #caccd2;
  --color-neutral-300: #b2b6bf;
  --color-neutral-400: #999eaa;
  --color-neutral-500: #818694;
  --color-neutral-600: #6b6f7b;
  --color-neutral-700: #565963;
  --color-neutral-800: #41444c;
  --color-neutral-900: #303238;
  --color-neutral-950: #26282d;

  --color-bg: var(--color-neutral-50);
  --color-text: var(--color-neutral-900);
  --color-land: var(--color-neutral-100);
  --opacity-bubble: 0.5;
  --opacity-arc: 0.8;
  --opacity-link: 0.8;

  --link-width: 1;
}

.is-highlighted {
  --opacity-bubble: 1;
  --opacity-arc: 1;
  --opacity-link: 1;

  --link-width: 1.5;
}

body {
  font-family: var(--font-family);
  font-size: var(--font-size-md);
  font-weight: var(--font-weight-body);
  line-height: var(--line-height-body);
  color: var(--color-text);
  background-color: var(--color-bg);
}

h1 {
  font-size: var(--font-size-7xl);
  font-weight: var(--font-weight-title);
  line-height: var(--line-height-title);
  text-transform: uppercase;
}

h1 + p {
  font-size: var(--font-size-3xl);
}

p {
  text-wrap: pretty;
}

main {
  margin-block: 4rem;
}

article {
  width: min(100% - 2rem, 60rem);
  margin-inline: auto;
}

article > * + * {
  margin-block-start: 4rem;
}

footer > * + * {
  margin-block-start: 1rem;
}

.figure {
  position: relative;
}

.map .land {
  fill: var(--color-land);
}

.bubble .bubble__circle {
  fill-opacity: var(--opacity-bubble);
  mix-blend-mode: multiply;
}

.arcs .site__arc {
  fill-opacity: var(--opacity-arc);
}

.arcs .label {
  font-size: var(--font-size-md);
  fill: currentColor;
}

.arcs .label__name {
  font-weight: var(--font-weight-title);
  text-transform: uppercase;
  letter-spacing: 0.02em;
}

.links {
  pointer-events: none;
  fill: none;
}

.links .link__path {
  stroke-opacity: var(--opacity-link);
  stroke-width: var(--link-width);
  mix-blend-mode: multiply;
}

.tooltip {
  pointer-events: none;
  position: absolute;
  top: 0;
  left: 0;
  font-size: var(--font-size-md);
  padding: 0.5em 0.75em;
  border-radius: 0.25em;
  max-width: min(25em, 100%);
  border: 1px solid var(--color-tooltip);
  color: var(--color-bg);
  background-color: var(--color-text);
  background-color: color-mix(in srgb, var(--color-tooltip) 80%, transparent);
  backdrop-filter: blur(8px);
  text-shadow: 1px 1px 2px rgb(0 0 0 / 0.5);
  opacity: 0;
  visibility: hidden;
  transition:
    opacity 0.15s,
    visibility 0.15s;
}

.tooltip.is-visible {
  opacity: 1;
  visibility: visible;
}

.tooltip > * + * {
  margin-block-start: 0.25em;
}

.tooltip__value {
  font-size: var(--font-size-xl);
}

.tooltip__country {
  font-weight: var(--font-weight-title);
  text-transform: uppercase;
  letter-spacing: 0.02em;
}

@media (max-width: 48rem) {
  h1 {
    font-size: var(--font-size-5xl);
  }

  h1 + p {
    font-size: var(--font-size-xl);
  }
}

.loader {
  --color-1: var(--color-theme-200);
  --color-2: var(--color-theme-900);
  --size: 1px;

  width: calc(160 * var(--size));
  height: calc(12 * var(--size));
  border-radius: calc(0 * var(--size));
  display: block;
  margin: calc(160 * var(--size)) auto;
  position: relative;
  background: var(--color-1);
  overflow: hidden;
  box-sizing: border-box;
}

.loader::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: calc(70 * var(--size));
  border-radius: inherit;
  background: var(--color-2);
  box-sizing: border-box;
  animation: slide 1.2s cubic-bezier(0.4, 0, 0.2, 1) infinite;
}

@keyframes slide {
  0% {
    transform: translateX(calc(-70 * var(--size)));
  }

  100% {
    transform: translateX(calc(160 * var(--size)));
  }
}
